import { GitHubProject, GitHubProjectOptions } from 'projen/lib/github';
import { ButterneckAwsCdkPythonApp } from './awscdk-python-app';
import { GoProject } from './go-project';
export interface GoAppOptions extends GitHubProjectOptions {
}
/**
 * GoApp Project
 *
 * @export
 * @class GoApp
 * @extends {awscdk.AwsCdkPythonApp}
 * @pjid go-app
 */
export declare class GoApp extends GitHubProject {
    infraProject: ButterneckAwsCdkPythonApp;
    serviceProject: GoProject;
    constructor(options: GoAppOptions);
}
